/*
 * Derived from the Linear template by TEMPLATED.  Licensed under
 * the Creative Commons Attribution 3.0 Unported license
 * (https://creativecommons.org/licenses/by/3.0/).
 */

/*********************************************************************************/
/* Basic                                                                         */
/*********************************************************************************/

	.only-desktop, .not-mobile {
		display: none !important;
	}

	body,input,textarea,select {
		line-height: 1.5em;
	}

	h1 {
		font-size: 2.4em;
	}

	header {
		margin-bottom: 1.6em;
	}

/*********************************************************************************/
/* Nav                                                                           */
/*********************************************************************************/

	body.js {
		padding-top: 44px;
	}

	#titleBar {
		width: 100%;
		background: #161616;
		height: 44px;
		overflow: hidden;
		position: fixed;
		top: 0px;
		z-index: 2;
	}

	#titleBar .title {
		color: #fff;
		text-align: center;
		line-height: 44px;
		font-weight: 300;
		text-decoration: none;
		display: block;
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;
		z-index: 1;
	}

	button[aria-controls="nav"] {
		float: left;
		position: relative;
		left: 0;
		top: 0;
		width: 80px;
		height: 44px;
		cursor: pointer;
		z-index: 2;
		background: transparent;
		border: 0px;
		color: #808080;
	}

	button[aria-controls="nav"] > span.fa {
		width: 20px;
		height: 12px;
		position: absolute;
		left: 12px;
		top: 10px;
	}

	button[aria-controls="nav"]:active {
		color: #c0c0c0;
	}

	#nav {
		padding: 0em;
		background: #1f1f1f;
	}

	#titleBar + #nav {
		position: fixed;
		margin-left: -80%;
		width: 80%;
		height: 100%;
		z-index: 2;
		left: 0;
		top: 0;
	}

	#nav > ul {
		margin: 0em;
		padding: 0.3em;
	}

	#nav > ul > li {
		border-top: 1px solid var(--dark-fg);
		margin: 0;
		padding: 0.3em;
		color: var(--dark-fg);
	}

	#nav > ul > li:last-child {
		border-bottom: 1px solid var(--dark-fg);
	}

	#nav > ul > li > a {
		display: block;
		padding: 0 1em 0 1em;
		letter-spacing: 1px;
		color: inherit;
		font-weight: inherit;
		text-align: left;
	}

	#nav > ul > li.current > a {
		font-weight: 600;
	}

/*********************************************************************************/
/* Header                                                                        */
/*********************************************************************************/

	#header {
		padding: 0.5em;
	}

	#header a {
		padding-top: 2em;
		font-size: 1.2em;
	}


/*********************************************************************************/
/* Horizontal menu                                                               */
/*********************************************************************************/

	.horiz-menu > ul {
		display: none !important;
	}

	.horiz-menu > article {
		display: block !important;
		border: 1px solid #000000;
		padding: 1em;
		margin-bottom: 1em;
	}

	.horiz-menu > article > header {
		display: block !important;
	}

	.horiz-menu pre {
		border: 0px;
	}

/*********************************************************************************/
/* Main                                                                          */
/*********************************************************************************/

	.sponsors div > * {
		margin: 30px 0px;
		width: 100%;
	}
	.sponsors div img {
		max-height: 30vh;
		margin: 0px auto;
		object-fit: contain;
	}
	.sponsors + .sponsors div img {
		max-height: 24vh;
	}
	.sponsors + .sponsors + .sponsors div img {
		max-height: 20vh;
	}
	.sponsors + .sponsors + .sponsors + .sponsors div img {
		max-height: 16vh;
	}

/*********************************************************************************/
/* Banner                                                                        */
/*********************************************************************************/

	#banner h2 {
		font-size: 1.25em;
	}
